<?php

namespace common\logic\Subscription\ProductSubscription\Wrapper;

use common\logic\AbstractManager;
use common\logic\Subscription\ProductSubscription\Repository\TicketRepository;
use common\logic\Subscription\ProductSubscription\Service\TicketBuilder;
use common\logic\Subscription\ProductSubscription\Service\TicketDefinition;

/**
 * @mixin TicketDefinition
 * @mixin TicketRepository
 * @mixin TicketBuilder
 */
class ProductSubscriptionManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return TicketContainer::class;
    }
}